SiliconFlow

删除参考音频

Delete user-defined voice style

POST
/audio/voice/deletions
AuthorizationBearer <token>required

Use the following format for authentication: Bearer

In: header

uristringrequired

Voice style to be deleted by the user

Example"speech:your-voice-name:xxx:xxxx"

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

responsestring

curl --request POST \
  --url https://api.siliconflow.cn/v1/audio/voice/deletions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "uri": "speech:your-voice-name:xxx:xxxx"
}'
import requests

url = "https://api.siliconflow.cn/v1/audio/voice/deletions"

payload = {"uri": "speech:your-voice-name:xxx:xxxx"}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"uri":"speech:your-voice-name:xxx:xxxx"}'
};

fetch('https://api.siliconflow.cn/v1/audio/voice/deletions', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));         
"string"
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
  "data": "string"
}
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"